{-# LANGUAGE CPP, PackageImports, NoImplicitPrelude  #-}

module Common where

import "base" Prelude

additionalArgs :: [String]
additionalArgs = [
      "-package", "simpleprelude"
    , "-hide-package", "base"
    , "-F", "-pgmF", "simple-pp"
    ]
    
-- Up till GHC 6.12 it was enough to use NoImplicitPrelude to use your
-- own fromInteger with numeric literals. From GHC 7 onwards a literal
-- is translated to base-Prelude.fromInteger unless RebindableSyntax
-- is activated.
#if __GLASGOW_HASKELL__ < 700 
    ++ [ "-XNoImplicitPrelude" ]
#else
    ++ [ "-XRebindableSyntax" ]
#endif
